Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.java
Class EventLoopSimulator

    java.lang.Object
      biouml.plugins.simulation.java.EventLoopSimulator

All Implemented Interfaces:
  Simulator

public class EventLoopSimulator
extends java.lang.Object
implements Simulator

Created by IntelliJ IDEA. User: bober Date: 07.10.2004 Time: 17:49:01 To change this template use Options | File Templates.

Field Summary
`protected DormandPrince` | `simulator`

Constructor Summary
`EventLoopSimulator()`

Method Summary
`java.lang.Object` | `getDefaultOptions()` Returns default options for the simulator.
`SimulatorInfo` | `getInfo()` Returns simulator description.
`void` | `start(Model model, Span tspan, java.lang.Object options, ResultListener[] listeners, SimulatorJobControl jobControl, double[] atol, double[] rtol)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### simulator

    protected DormandPrince simulator

Constructor Detail

### EventLoopSimulator

    public EventLoopSimulator()

Method Detail

### getInfo

    public SimulatorInfo getInfo()

  Returns simulator description.

  Specified by:
    `getInfo` in interface `Simulator`

### getDefaultOptions

    public java.lang.Object getDefaultOptions()

  Returns default options for the simulator.

  Specified by:
    `getDefaultOptions` in interface `Simulator`

### start

    public void start(Model model,
                      Span tspan,
                      java.lang.Object options,
                      ResultListener[] listeners,
                      SimulatorJobControl jobControl,
                      double[] atol,
                      double[] rtol)
               throws java.lang.Exception

  Specified by:
    `start` in interface `Simulator`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Specified by:
    `stop` in interface `Simulator`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.